import { UmbCollectionDefaultElement } from '../../../core/collection/index.js';
export declare class UmbMediaCollectionElement extends UmbCollectionDefaultElement {
    #private;
    private _progress;
    private _unique;
    constructor();
    protected renderToolbar(): import("lit-html").TemplateResult<1>;
}
export default UmbMediaCollectionElement;
export { UmbMediaCollectionElement as element };
declare global {
    interface HTMLElementTagNameMap {
        'umb-media-collection': UmbMediaCollectionElement;
    }
}
